/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The data model encapsulating data for the About window.
 */
Ext.define( 'QDesk.model.AboutData', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.FormatUtils',
    'QDesk.util.constant.DateFormat'
  ],

//
// Commented out and replaced by setFields invocation in the constructor.
// The reason for this change is that ExtJS occasionally complained when
// creating the model:
//
// TypeError: QDesk.util.constant.DateFormat is undefined
//
//  fields : [
//    { name : 'productName', type : 'string' },
//    { name : 'productVersion', type : 'auto' },
//
//    /* computed auxiliary field */
//    { name : 'productNameAndVersion', type : 'string',
//      convert : function ( newValue, model )
//      {
//        var productName = model.get( 'productName' );
//        var productVersion = model.get( 'productVersion' );
//        return QDesk.util.FormatUtils.formatProductNameAndVersion( productName, productVersion );
//      }
//    },
//
//    /* All dates are expected in ISO 8601 format (dateFormat: QDesk.util.constant.DateFormat.timestampParseFormat) */
//    { name : 'buildDate', type : 'date', dateFormat : QDesk.util.constant.DateFormat.dateParseFormat },
//    { name : 'buildDateFormatted', type : 'string' },
//
//    { name : 'buildTimestamp', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampParseFormat },
//
//    { name : 'licenseeName', type : 'string' },
//    { name : 'licenseExpiresInDays', type : 'int', useNull : true },
//    { name : 'licenseExpiresInDaysText', type : 'string' },
//
//    { name : 'javaVersion', type : 'string' },
//    { name : 'javaVendor', type : 'string' },
//
//    { name : 'osName', type : 'string' },
//    { name : 'osArch', type : 'string' },
//    { name : 'osVersion', type : 'string' },
//
//    { name : 'copyrightYear', type : 'string' }
//  ],

  constructor : function ()
  {
    var me = this;

    // if fields contains only the id property (set by default)
    if ( me.fields.length == 1 )
    {
      QDesk.model.AboutData.setFields(
          [
            { name : 'productName', type : 'string' },
            { name : 'productVersion', type : 'auto' },

            /* computed auxiliary field */
            { name : 'productNameAndVersion', type : 'string',
              convert : function ( newValue, model )
              {
                var productName = model.get( 'productName' );
                var productVersion = model.get( 'productVersion' );
                return QDesk.util.FormatUtils.formatProductNameAndVersion( productName, productVersion );
              }
            },

            /* All dates are expected in ISO 8601 format (dateFormat: QDesk.util.constant.DateFormat.timestampParseFormat) */
            { name : 'buildDate', type : 'date', dateFormat : QDesk.util.constant.DateFormat.dateParseFormat },
            { name : 'buildDateFormatted', type : 'string' },

            { name : 'buildTimestamp', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampParseFormat },

            { name : 'licenseeName', type : 'string' },
            { name : 'licenseExpiresInDays', type : 'int', useNull : true },
            { name : 'licenseExpiresInDaysText', type : 'string' },

            { name : 'javaVersion', type : 'string' },
            { name : 'javaVendor', type : 'string' },

            { name : 'osName', type : 'string' },
            { name : 'osArch', type : 'string' },
            { name : 'osVersion', type : 'string' },

            { name : 'copyrightYear', type : 'string' }
          ]
      );
    }

    me.callParent( arguments );
  }
} );
