/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The Quartz notification rule data model based on the
 * {@link com.quartzdesk.domain.model.scheduler.quartz.ExecNotificationRule} class.
 */
Ext.define( 'QDesk.model.quartz.ExecNotificationRule', {
  extend: 'Ext.data.Model',

  requires: [
    'QDesk.util.constant.DateFormat'
  ],

  fields: [
    { name: 'id', type: 'int', useNull: true },

    { name: 'createdAt', type: 'date', dateFormat: QDesk.util.constant.DateFormat.timestampParseFormat },
    { name: 'updatedAt', type: 'date', dateFormat: QDesk.util.constant.DateFormat.timestampParseFormat },

    { name: 'name', type: 'string' },
    { name: 'description', type: 'string' },

    /*
     * See com.quartzdesk.domain.model.enums.NotificationSeverity
     * RECOVERY, INFO, WARNING, ERROR, FATAL
     */
    { name: 'severity', type: 'string' },

    { name: 'enabled', type: 'boolean' },
    { name: 'enabledFromTime', type: 'date', dateFormat: QDesk.util.constant.DateFormat.timeParseFormat },
    { name: 'enabledToTime', type: 'date', dateFormat: QDesk.util.constant.DateFormat.timeParseFormat },
    /* List of QDesk.enums.Weekday */
    { name: 'enabledOnWeekdays', type: 'auto' },

    { name: 'schedulerObjectName', type: 'string' },

    { name: 'jobGroupName', type: 'string' },
    { name: 'jobName', type: 'string' },

    { name: 'triggerGroupName', type: 'string' },
    { name: 'triggerName', type: 'string' },

    /*
     * See com.quartzdesk.domain.model.enums.NotificationConditionType
     * EXEC_STATUS, MAX_DURATION, EXPRESSION
     */
    { name: 'conditionType', type: 'string' },

    /*
     * See com.quartzdesk.domain.model.enums.ExecStatus
     * SUCCESS, ERROR, VETO
     */
    { name: 'conditionExecStatus', type: 'string' },
    { name: 'conditionMaxDuration', type: 'int', useNull: true },
    { name: 'conditionExpression', type: 'string' },
    /*
     * See com.quartzdesk.domain.model.enums.ExpressionLanguage
     * JAVASCRIPT,...
     */
    { name: 'conditionExpressionLanguage', type: 'string' },

    /*
     * See com.quartzdesk.domain.model.enums.MessageChannel
     * EMAIL, IM_AIM, IM_GTALK, IM_ICQ, IM_SKYPE, IM_XMPP, IM_YAHOO, WEB_SERVICE
     */
    { name: 'messageChannelProfileChannel', type: 'string' },
    { name: 'messageChannelProfileName', type: 'string' },
    { name: 'messageChannelProfileId', type: 'int', useNull: true },

    { name: 'messageToAddr', type: 'string' },

    { name: 'messageSubjectTemplate', type: 'string' },
    { name: 'messageBodyTemplate', type: 'string' },

    { name: 'messageAttachLog', type: 'boolean' },
    { name: 'messageAttachError', type: 'boolean' },
    { name: 'messageAttachResult', type: 'boolean' },
    { name: 'messageAttachUserData', type: 'boolean' },

    /* Message channel specific configuration values */
    { name: 'messageChannelConfig', type: 'auto' }
    /*
     / EMAIL /
     { name : 'emailSmtpHost', type : 'string' },
     { name : 'emailSmtpPort', type : 'int' },
     { name : 'emailUsername', type : 'string' },
     { name : 'emailPassword', type : 'string' },

     / IM_AIM /
     { name : 'imAimUsername', type : 'string' },
     { name : 'imAimPassword', type : 'string' },

     / IM_GTALK /
     { name : 'imGTalkUsername', type : 'string' },
     { name : 'imGTalkPassword', type : 'string' },

     / IM_ICQ /
     { name : 'imIcqUsername', type : 'string' },
     { name : 'imIcqPassword', type : 'string' },

     / IM_SKYPE /
     { name : 'imSkypeUsername', type : 'string' },
     { name : 'imSkypePassword', type : 'string' },

     / IM_XMPP /
     { name : 'imXmppHost', type : 'string' },
     { name : 'imXmppPort', type : 'string' },
     { name : 'imXmppUsername', type : 'string' },
     { name : 'imXmppPassword', type : 'string' },

     / IM_YAHOO /
     { name : 'imYahooUsername', type : 'string' },
     { name : 'imYahooPassword', type : 'string' },

     / WEB_SERVICE /
     { name : 'webServiceEndpoint', type : 'string' },
     { name : 'webServiceUsername', type : 'string' },
     { name : 'webServicePassword', type : 'string' }
     */
  ]} );
