/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.quartz.stats.ExecStatDataStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.model.quartz.stats.ExecStatData',
    'QDesk.util.constant.ActionUrl'
  ],

  model : 'QDesk.model.quartz.stats.ExecStatData',

  /* Server-side filtering */
  remoteFilter : true,

  /* Server-side sorting */
  remoteSort : true,

  proxy : {
    type : 'ajax',

    url : QDesk.util.constant.ActionUrl.emptyStoreAction,

    reader : {
      type : 'json',
      root : 'data',
      successProperty : 'success',
      idProperty : 'id',
      totalProperty : 'total'
    },

    /* Disables sorting and filtering */
    sortParam : undefined,
    filterParam : undefined,

    /* Disables paging */
    pageParam : undefined,
    startParam : undefined,
    limitParam : undefined
  }
} );
