/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.quartz.stats.TriggerStatisticsTypeStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.enums.scheduler.quartz.TriggerStatisticsType',
    'QDesk.util.quartz.QuartzEnumUtils'
  ],

  fields : ['value', 'valueLabel'],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.enums.scheduler.quartz.TriggerStatisticsType.TRIGGER_EXEC_TIME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getTriggerStatisticsTypeName( QDesk.enums.scheduler.quartz.TriggerStatisticsType.TRIGGER_EXEC_TIME )
        },
        {
          value : QDesk.enums.scheduler.quartz.TriggerStatisticsType.TRIGGER_EXEC_COUNT,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getTriggerStatisticsTypeName( QDesk.enums.scheduler.quartz.TriggerStatisticsType.TRIGGER_EXEC_COUNT )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );
