/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */


Ext.define( 'QDesk.util.EnumUtils', {
  requires : [
    'QDesk.Log',
    'QDesk.Msg'
  ],

  singleton : true,

  /**
   * Returns a localized name for the specified QDesk.enums.JsLoggingLevel value.
   * @param jsLoggingLevel a QDesk.enums.JsLoggingLevel value.
   * @return the localized JavaScript logging level name.
   */
  getJsLoggingLevelName : function ( jsLoggingLevel )
  {
    return QDesk.Msg.get( 'QDesk.enums.JsLoggingLevel.' + jsLoggingLevel );
  },


  /**
   * Returns a localized name for the specified QDesk.enums.MessageChannel value.
   * @param messageChannel a QDesk.enums.MessageChannel value.
   * @return the localized message channel name.
   */
  getMessageChannelName : function ( messageChannel )
  {
    return QDesk.Msg.get( 'QDesk.enums.MessageChannel.' + messageChannel );
  },


  /**
   * Returns a localized name for the specified QDesk.enums.MessageCreatorType value.
   * @param messageCreatorType a QDesk.enums.MessageCreatorType value.
   * @return the localized message creator type name.
   */
  getMessageCreatorTypeName : function ( messageCreatorType )
  {
    return QDesk.Msg.get( 'QDesk.enums.MessageCreatorType.' + messageCreatorType );
  },


  /**
   * Returns a localized name for the specified QDesk.enums.MessageStatus value.
   * @param messageStatus a QDesk.enums.MessageStatus value.
   * @return the localized message status name.
   */
  getMessageStatusName : function ( messageStatus )
  {
    return QDesk.Msg.get( 'QDesk.enums.MessageStatus.' + messageStatus );
  },


  /**
   * Returns a localized name for the specified QDesk.enums.NotificationSeverity value.
   * @param notificationSeverity a QDesk.enums.NotificationSeverity value.
   * @return the localized notification severity name.
   */
  getNotificationSeverityName : function ( notificationSeverity )
  {
    return QDesk.Msg.get( 'QDesk.enums.NotificationSeverity.' + notificationSeverity );
  },


  /**
   * Returns a localized name for the specified QDesk.enums.ExecNotificationRuleConditionType value.
   * @param notificationConditionType a QDesk.enums.ExecNotificationRuleConditionType value.
   * @return the localized notification condition type name.
   */
  getExecNotificationRuleConditionTypeName : function ( notificationConditionType )
  {
    return QDesk.Msg.get( 'QDesk.enums.ExecNotificationRuleConditionType.' + notificationConditionType );
  },


  /**
   * Returns a localized name for the specified QDesk.enums.ExecStatus value.
   * @param execStatus a QDesk.enums.ExecStatus value.
   * @return the localized execution status name.
   */
  getExecStatusName : function ( execStatus )
  {
    return QDesk.Msg.get( 'QDesk.enums.ExecStatus.' + execStatus );
  },


  /**
   * Returns a localized name for the specified QDesk.enums.ExpressionLanguage value.
   * @param expressionLanguage a QDesk.enums.ExpressionLanguage value.
   * @return the localized expression language name.
   */
  getExpressionLanguageName : function ( expressionLanguage )
  {
    return QDesk.Msg.get( 'QDesk.enums.ExpressionLanguage.' + expressionLanguage );
  },


  /**
   * Returns a localized name for the specified QDesk.enums.JmxProtocol value.
   * @param protocol a QDesk.enums.JmxProtocol value.
   * @return the localized JMX protocol name.
   */
  getProtocolName : function ( protocol )
  {
    return QDesk.Msg.get( 'QDesk.enums.JmxProtocol.' + protocol );
  },


  /**
   * Returns a localized name for the specified QDesk.enums.ProxyType value.
   * @param proxyType a QDesk.enums.ProxyType value.
   * @return the localized proxy type name.
   */
  getProxyTypeName : function ( proxyType )
  {
    return QDesk.Msg.get( 'QDesk.enums.ProxyType.' + proxyType );
  },


  /**
   * Returns a localized name for the specified QDesk.enums.TimePeriodLength value.
   * @param periodLength a QDesk.enums.TimePeriodLength value.
   * @return the localized period length name.
   */
  getTimePeriodLengthName : function ( periodLength )
  {
    return QDesk.Msg.get( 'QDesk.enums.TimePeriodLength.' + periodLength );
  },


  /**
   * Returns a localized name for the specified QDesk.enums.Weekday value.
   * @param weekday a QDesk.enums.Weekday value.
   * @return the localized weekday name.
   */
  getWeekdayName : function ( weekday )
  {
    return QDesk.Msg.get( 'QDesk.enums.Weekday.' + weekday );
  },


  /**
   * Returns a localized short name for the specified QDesk.enums.Weekday value.
   * @param weekday a QDesk.enums.Weekday value.
   * @return the localized short weekday name.
   */
  getWeekdayShortName : function ( weekday )
  {
    return QDesk.Msg.get( 'QDesk.enums.Weekday.shortName.' + weekday );
  },


  /**
   * Returns a localized name for the specified QDesk.enums.WSAuthenticationType value.
   * @param wsAuthenticationType a QDesk.enums.WSAuthenticationType value.
   * @return the localized WS authentication type name.
   */
  getWSAuthenticationTypeName : function ( wsAuthenticationType )
  {
    return QDesk.Msg.get( 'QDesk.enums.WSAuthenticationType.' + wsAuthenticationType );
  },


  /**
   * Returns a localized name for the specified QDesk.enums.WSVersion value.
   * @param wsVersion a QDesk.enums.WSVersion value.
   * @return the localized WS version name.
   */
  getWSVersionName : function ( wsVersion )
  {
    return QDesk.Msg.get( 'QDesk.enums.WSVersion.' + wsVersion );
  }
} );
