/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * QDesk configuration singleton that provides access to the application configuration data.
 */
Ext.define( 'QDesk.util.constant.DateFormat', {

  singleton : true,

  /**
   * Format used to parse date values.
   * 'Y-m-d' -> '2012-01-25'
   */
  dateParseFormat : 'Y-m-d',

  /**
   * Format used to format date values.
   * 'Y-m-d' -> '2012-01-25'
   */
  dateRenderFormat : 'Y-m-d',

  /**
   * Format used to parse timestamp values.
   * 'c' (ISO 8601 format) -> '2012-01-25T14:48:08.000+0000'
   */
  timestampParseFormat : 'c',

  /**
   * Format used to render timestamp values in the GUI.
   * 'Y-m-d H:i:s.u T' -> '2012-01-25 15:48:08.000 CEST'
   */
  timestampRenderFormat : 'Y-m-d H:i:s.u T',

  /**
   * Format used to parse time values.
   * 'H:i:s.u' -> '15:48:08.000'
   */
  timeParseFormat : 'H:i:s.u',

  /**
   * Format used to render time values in the GUI.
   * 'H:i' -> '15:48'
   */
  timeRenderFormat : 'H:i'
} );
