/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */


Ext.define( 'QDesk.util.quartz.QuartzEnumUtils', {
  requires : [
    'QDesk.Log',
    'QDesk.Msg'
  ],

  singleton : true,

  /**
   * Returns a localized name for the specified QDesk.enums.scheduler.quartz.TriggerStatisticsType value.
   * @param statisticsType a QDesk.enums.scheduler.quartz.TriggerStatisticsType value.
   * @return the localized JavaScript trigger statistics type name.
   */
  getTriggerStatisticsTypeName : function ( statisticsType )
  {
    return QDesk.Msg.get( 'QDesk.enums.scheduler.quartz.TriggerStatisticsType.' + statisticsType );
  },


  /**
   * Returns a localized name for the specified QDesk.enums.scheduler.quartz.JobStatisticsType value.
   * @param statisticsType a QDesk.enums.scheduler.quartz.JobStatisticsType value.
   * @return the localized JavaScript job statistics type name.
   */
  getJobStatisticsTypeName : function ( statisticsType )
  {
    return QDesk.Msg.get( 'QDesk.enums.scheduler.quartz.JobStatisticsType.' + statisticsType );
  },


  /**
   * Returns a localized name for the specified QDesk.enums.scheduler.quartz.SchedulerStatisticsType value.
   * @param statisticsType a QDesk.enums.scheduler.quartz.SchedulerStatisticsType value.
   * @return the localized JavaScript scheduler statistics type name.
   */
  getSchedulerStatisticsTypeName : function ( statisticsType )
  {
    var args = Array.prototype.slice.call( arguments ).slice( 1 );
    return QDesk.Msg.get( 'QDesk.enums.scheduler.quartz.SchedulerStatisticsType.' + statisticsType, args );
  }
} );
