/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Various Quartz scheduler specific utility methods.
 */
Ext.define( 'QDesk.util.quartz.QuartzUtils', {
  requires : [
    'QDesk.Log'
  ],

  singleton : true,

  /**
   * Creates a clone of the specified QDesk.model.quartz.JobDetail instance.
   * @param jobDetail a QDesk.model.quartz.JobDetail instance.
   * @return the clone.
   */
  cloneJobDetail : function ( jobDetail )
  {
    var clone = jobDetail.copy();  // does not clone the jobDataMap array

    var jobDataMap = jobDetail.get( 'jobDataMap' );

    if ( jobDataMap )
    {
      // assert Ext.isArray(jobDataMap)
      clone.set( 'jobDataMap', Ext.Array.clone( jobDataMap ) );
    }

    return clone;
  }
} );
