/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkBasicPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ImGTalkBasicPanel',

  border : false,

  layout : 'anchor',

  defaults : {
    anchor : '100%',
    labelWidth : 75
  },

  title : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkBasicPanel.tabLabelBasic' ),

  items : [
    /* username & username domain */
    {
      xtype : 'panel',
      border : false,
      height : 25,
      layout : {
        type : 'hbox',
        pack : 'start',
        align : 'stretch'
      },
      defaults : {
        labelWidth : 75,
        anchor : '100%'
      },
      style : {
        marginBottom : '5px'
      },
      items : [
        {
          xtype : 'textfield',
          itemId : 'username',
          name : 'username',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkBasicPanel.fieldLabelUsername' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkBasicPanel.fieldEmptyTxtUsername' ),
          allowBlank : false,
          qdesk : {
            required : true
          }
        },
        {
          xtype : 'displayfield',
          value : '@',
          style : {
            marginLeft : '2px',
            marginRight : '2px'
          }
        },
        {
          xtype : 'textfield',
          itemId : 'usernameDomain',
          name : 'usernameDomain',
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkBasicPanel.fieldEmptyTxtUsernameDomain' ),
          value : 'gmail.com', /* Initially set equal to the service name */
          allowBlank : false,
          qdesk : {
            required : true
          }
        }
      ]
    },
    {
      xtype : 'textfield',
      inputType : 'password',
      itemId : 'password',
      name : 'password',
      fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkBasicPanel.fieldLabelPassword' ),
      emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkBasicPanel.fieldEmptyTxtPassword' ),
      allowBlank : false,
      qdesk : {
        required : true
      }
    }
  ]
} );
