/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.scheduler.common.notif.exec.JSScriptingObjectsTreePanel', {
  extend : 'Ext.tree.Panel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ExecNotificationRuleJSScriptingObjectsTreePanel',

  cls : 'execNotificationRuleJSScriptingObjectsTreePanel',

  autoScroll : true,

  collapsible : false,
  useArrows : true,
  rootVisible : false,
  multiSelect : false,
  singleExpand : false,

  displayField : 'propertyName',


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      columns : [
        {
          xtype : 'treecolumn',
          text : QDesk.Msg.get( 'QDesk.view.main.scheduler.common.notif.exec.JSScriptingObjectsTreePanel.textPropertyName' ),
          flex : 2.5,
          dataIndex : 'propertyName',
          sortable : false,
          renderer : function ( value, metadata, record )
          {
            metadata.style = 'text-decoration: underline';
            var i = value.lastIndexOf( '.' );
            return i == -1 ? value : value.substring( i + 1 );
          }
        },
        {
          text : QDesk.Msg.get( 'QDesk.view.main.scheduler.common.notif.exec.JSScriptingObjectsTreePanel.textPropertyType' ),
          flex : 1,
          dataIndex : 'propertyType',
          sortable : false
        },
        {
          text : QDesk.Msg.get( 'QDesk.view.main.scheduler.common.notif.exec.JSScriptingObjectsTreePanel.textAlwaysAvailable' ),
          align : 'center',
          flex : 2,
          dataIndex : 'alwaysAvailable',
          sortable : false,
          /* Need custom renderer to localize the boolean value */
          renderer : function ( value, metadata, record )
          {
            return value ? QDesk.Msg.get( 'QDesk.yes' ) : QDesk.Msg.get( 'QDesk.no' );
          }
        },
        {
          text : QDesk.Msg.get( 'QDesk.view.main.scheduler.common.notif.exec.JSScriptingObjectsTreePanel.textDescription' ),
          flex : 6,
          dataIndex : 'description',
          sortable : false
        }
      ]
    } );

    me.callParent( [config] );
  }
} );
