/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.scheduler.quartz.info.InfoTab', {
  extend : 'QDesk.view.base.scheduler.BaseSchedulerSubTab',

  requires : [
    'QDesk.Msg',
    'QDesk.view.main.scheduler.quartz.info.InfoForm'
  ],

  alias : 'widget.QuartzInfoTab',

  bodyCls : 'quartzInfoSubTabBody',
  iconCls : 'quartzInfoSubTabIcon',

  layout : {
    type : 'vbox',
    align : 'stretch'
  },

  items : [
    {
      xtype : 'QuartzInfoForm',
      itemId : 'infoForm'
    }
  ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.connectionId )
      Ext.Error.raise( 'Required config parameter missing: qdesk.connectionId' );

    if ( !config.qdesk.jvmAgentInfo )
      Ext.Error.raise( 'Required config parameter missing: qdesk.jvmAgentInfo' );

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.main.scheduler.quartz.info.InfoTab.title' )
    } );

    me.callParent( [config] );
  }
} );
