/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.scheduler.quartz.jobs.JobsTab', {
  extend : 'QDesk.view.base.scheduler.BaseSchedulerSubTab',

  requires : [
    'QDesk.Msg',
    'QDesk.util.license.LicensedProduct',
    'QDesk.util.license.LicensedProductFeatures',
    'QDesk.view.main.scheduler.common.WarningMessagePanel',
    'QDesk.view.main.scheduler.quartz.jobs.JobsGrid',
    'QDesk.view.main.scheduler.quartz.jobs.JobsTabViews'
  ],

  alias : 'widget.QuartzJobsTab',

  iconCls : 'quartzJobsSubTabIcon',

  layout : {
    type : 'vbox',
    align : 'stretch'
  },

  border : false,

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.connectionId )
      Ext.Error.raise( 'Required config parameter missing: qdesk.connectionId' );

    if ( !config.qdesk.jvmAgentInfo )
      Ext.Error.raise( 'Required config parameter missing: qdesk.jvmAgentInfo' );

    var licensedFeatures = QDesk.util.license.LicensedProductFeatures.featureSets.Quartz;

    var items = [];
    if ( licensedFeatures.MaxJobsPerScheduler != QDesk.util.license.LicensedProductFeatures.UNLIMITED_INT )
    {
      items.push( {
        xtype : 'WarningMessagePanel',
        qdesk : {
          msg : QDesk.Msg.get( 'QDesk.featureAccessRestricted.maxJobsPerScheduler',
              QDesk.util.license.LicensedProduct.productName, licensedFeatures.MaxJobsPerScheduler )
        }
      } );
    }

    items.push( {
      xtype : 'QuartzJobsGrid',
      itemId : 'jobsGrid',
      flex: 1,
      qdesk : config.qdesk
    } );

    items.push( {
      xtype : 'QuartzJobsTabViews',
      itemId : 'views',
      flex : 2,
      qdesk : config.qdesk
    } );


    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.main.scheduler.quartz.jobs.JobsTab.title' ),
      items : items
    } );

    me.callParent( [config] );
  }
} );