/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.settings.system.SystemPanel', {
  extend : 'QDesk.view.main.settings.AppSettingsBasePanel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.SystemPanel',

  items : [


    {
      xtype : 'fieldset',
      fieldDefaults : {
        labelWidth : 80,
        width: 200
      },
      title : QDesk.Msg.get( 'QDesk.view.main.settings.system.SystemPanel.fieldsetLabelJavaScript' ),
      items : [
        {
          xtype : 'fieldcontainer',
          layout : {
            type : 'hbox',
            align : 'left'
          },
          items : [
            {
              xtype : 'numberfield',
              name : 'ajaxTimeout',
              fieldLabel : QDesk.Msg.get( 'QDesk.view.main.settings.system.SystemPanel.fieldLabelJsAjaxTimeout' ),
              minValue : 10,
              allowBlank : false
            },
            {
              xtype : 'panel',
              border : false,
              height: 22,
              bodyPadding: '3 0 0 5',
              html : QDesk.Msg.get( 'QDesk.seconds' )
            }
          ]
        },

        {
          xtype : 'combo',
          name : 'jsLoggingLevel',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.settings.system.SystemPanel.fieldLabelJsLoggingLevel' ),
          displayField : 'valueLabel',
          valueField : 'value',
          editable : false,
          store : 'enums.JsLoggingLevelStore',
          allowBlank : false
        }
      ]
    }
  ]
} );
