/*
 * Copyright (c) 2011-2013 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * Icon combo box based on the code extracted from
 * http://www.sencha.com/forum/showthread.php?136623-ComboBox-with-Images-in-ExtJS-4
 */
Ext.define( 'QDesk.view.widget.LocaleCombo', {
  extend : 'Ext.ux.form.IconCombo',

  alias : 'widget.LocaleCombo',

  displayField : 'langName',

  valueField : 'locale',

  iconClsField : 'countryCode',

  editable : false,

  queryMode : 'local',

  forceSelection : true,

  triggerAction : 'all',

  store : 'LocaleStore',

  initComponent : function ()
  {
    var me = this;

    me.callParent();

    // upon loading the store, determine the selected combo value
    me.getStore().on( 'load', function ( combo, records, success )
    {
      Ext.each( records, function ( record, index )
      {
        if ( record.get( 'isCurrent' ) )
        {
          me.setValue( record.get( 'locale' ) );
          return false;
        }
      } );
    } );

    me.getStore().load();
  }
} );
